# W tej wersji: zamiast dodawać monety do zmiennej suma_wplat, odejmuję od do_zaplaty

CENA = 3
POPRAWNE_MONETY = {1, 2, 5}

ile_godzin = int(input('Podaj liczbę godzin parkowania: '))
do_zaplaty = CENA * ile_godzin
print('Do zapłaty:', do_zaplaty)

while do_zaplaty > 0:
    print(f'Pozostało jeszcze {do_zaplaty}')
    moneta = int(input('wrzuć monetę: '))
    if moneta in POPRAWNE_MONETY:
        do_zaplaty -= moneta
    else:
        print('Fałszywa moneta!')

if do_zaplaty < 0:
    print(f'Wydaję resztę {-do_zaplaty}')

print('Do widzenia')
